/* homepage */
.trending .product-card{
    width: 222px;
} 
.categories-grid{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 24px 45px;
    overflow-x: auto;
}
.category-item{
    text-decoration: none;
}
.category-image img{
    width: 100%;
}
.category-title{
    color: var(--color-on-background);
    font-family: 'Roc Grotesk Wide', "Adjusted Verdana Fallback";
    text-transform: uppercase;
    font-weight: 300;
    --font-max: 20;
    --font-min: 15;
}
.category-image{
    min-width: 222px;
    background: linear-gradient(135deg, #F3F3F3 50%, #CCC 300%);
}
.product-image img{
    width: 100%;
}
/* footer */
.discount-banner{
    background: var(--color-surface);
}
.discount-banner .content{
    flex-direction: row-reverse;
}
.discount-banner .text-container{
    flex: 1;
    
}
.discount-banner .text-container .top-text,
.discount-banner .text-container .bottom-text{
    text-transform: uppercase;
    font-family: 'Roc Grotesk Wide', "Adjusted Verdana Fallback";
    letter-spacing: 0.14em;
    line-height: 108%;
    font-size: 20px;
    margin: 0;
}
.discount-banner .image-container{
    flex: 1;
}
.discount-banner .image-container img{
    max-width: 515px;
}
.site-info{
    padding: 48px 0 32px;
    background: var(--color-primary-variant);
    color: var(--color-on-primary);

    text-transform: uppercase;
}
.site-info a{
    color: var(--color-on-primary);
    text-decoration: none;
}
.site-info .menu-title{
    letter-spacing: 0.14em;
    font-size: 15px;
}
.site-info .navigation-menus ul{
    gap: 16px;
}
.site-info .navigation-menus a,
.site-info .navigation-menus p{
    letter-spacing: 0.14em;
    font-size: 13px;
    font-weight: 300;
    margin: 0;
    word-break: break-word;
}
.site-info .navigation-menus{
    padding: 56px 0;
    gap: 48px;
}
.site-info .navigation-menus > div{
    flex: 1;
}
.site-info .social-links{
    gap: 16px;
}
.site-info .copyright p{
    font-size: 10.5px;
    line-height: 200%;
    letter-spacing: 0.14em;
    font-weight: 300;
    margin: 0;
}
@media(max-width: 768px) {
    .discount-banner{
        padding-top: 30px;
    }
    .discount-banner .content{
        flex-direction: column;
    }
    .discount-banner .image-container{
        margin-top: -30px;
    }
    .site-info .logo-container a{
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .site-info .navigation-menus{
        display: grid;
        grid-template-areas:
        "column1 column2"
        "column3 column4";
        grid-template-columns: 1fr 1fr;
    }
    .site-info .column1{
        grid-area: column1;
    }
    .site-info .column2{
        grid-area: column2;
    }
    .site-info .column3{
        grid-area: column3;
    }
    .site-info .column4{
        grid-area: column4;
    }
}
/* store */
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) ul.products li.product .price{
    color: var(--color-on-surface)
}
.woocommerce ul.products li.product .price{
    display: flex;
}
.woocommerce-breadcrumb{
    display: none;
}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button{
    font-size: 11px;
    font-weight: 300;
    width: 100%;
    text-align: center;
    letter-spacing: 0.14em;
}
.wpc-filters-main-wrap .wpc-filters-labels li.wpc-term-item label{
    
    display: inline-block;
    cursor: pointer;
    padding: 1em !important;
    background: var(--color-secondary);
    transition: background-color 0.3s ease, color 0.3s ease;
    font-family: 'Roc Grotesk Wide', "Adjusted Verdana Fallback";
    font-size: 14px;
    text-transform: uppercase;
    font-weight: 300;
    letter-spacing: 0.14em;

    border-radius: 0 !important;
    border: none !important;
    margin: 0 !important;
}
.wpc-filters-main-wrap .wpc-filters-labels li.wpc-term-item label span.wpc-filter-label-wrapper{
    padding: 0 !important;
}
.wpc-filters-main-wrap .wpc-filters-labels li.wpc-term-item label a{
    color: var(--color-on-background);
    margin: 0;
}
.wpc-filters-main-wrap .wpc-filters-labels li.wpc-term-item label:hover {
  background-color: color-mix(in srgb, var(--color-secondary), black var(--state-hover-opacity));
}
body .wpc-filters-main-wrap input.wpc-label-input+label:hover{
    border: none !important;
}
body .wpc-filters-main-wrap input.wpc-label-input+label:hover span.wpc-filter-label-wrapper,
body .wpc-filters-main-wrap input.wpc-label-input:checked+label span.wpc-filter-label-wrapper {
    color: var(--color-on-background) !important;
    background-color: transparent !important;
}
body .wpc-filters-main-wrap .wpc-filters-labels li.wpc-term-item input+label:hover a,
body .wpc-filters-main-wrap .wpc-filters-labels li.wpc-term-item input:checked+label a{
    color: var(--color-on-background) !important;
}
body .wpc-filters-main-wrap input.wpc-label-input:checked+label{
  background-color: color-mix(in srgb, var(--color-secondary), black var(--state-pressed-opacity));
  font-weight: 500;
}
.wpc-filters-main-wrap .wpc-filters-section:not(.wpc-filter-terms-count-0) ul.wpc-filters-labels{
    flex-wrap: nowrap !important;
    overflow-y: inherit !important;
    overflow-x: auto !important;
}
/* For Webkit browsers (Chrome, Safari, Edge) */
.wpc-filters-section:not(.wpc-filter-post_meta_num) .wpc-filter-content ul.wpc-filters-ul-list::-webkit-scrollbar {
    width: auto !important;
    border-radius: 0 !important; 
    background: transparent !important;
    height: 6px;
}

select, .woocommerce-result-count{
    text-transform: uppercase;
    padding: 1rem 0.7rem;
    font-family: 'Roc Grotesk', "Adjusted Arial Fallback";
    letter-spacing: 0.14em;
    font-weight: 300;
}

.woocommerce-result-count{
    padding: 1rem 0.7rem 1rem 0;
    font-size: 14px;
}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button:hover{
    color: #fff;
}
/* Single product */
/* Move WooCommerce product gallery thumbnails to the left */
.woocommerce div.product div.woocommerce-product-gallery {
  display: flex;
  flex-direction: row-reverse; /* main image on right, thumbs on left */
  gap: 1rem; /* space between them */
}
.woocommerce div.product div.woocommerce-product-gallery .flex-viewport{
  flex: 2;
}
.woocommerce div.product div.woocommerce-product-gallery .flex-control-thumbs {
  display: flex;
  flex-direction: column; /* stack vertically */
  max-width: 100px; /* adjust thumbnail column width */
  gap: 0.5rem;
  flex: 1;
}

.woocommerce div.product div.woocommerce-product-gallery .flex-control-thumbs li {
  width: 100% !important; /* fit the column */
}

/* Single product  */
table {
  width: 100%;
  border-collapse: collapse; /* removes double borders */
  margin: 1rem 0;
  font-size: 16px;
  text-align: left;
}
th, td {
  padding: 12px 15px;
  border: 1px solid #ddd;
}
th {
  background-color: #f4f4f4;
  font-weight: bold;
}
tr:nth-child(even) {
  background-color: #f9f9f9; /* zebra striping */
}
.woocommerce div.product form.cart{
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.woocommerce .quantity .qty {
    width: 100%;
    padding: 0.5rem;
}
.woocommerce div.product form.cart .button{
    font-size: 14px;
    font-weight: 300;
    letter-spacing: 0.14em;
    width: 100%;
    padding: 1rem;
}
.woocommerce div.product form.cart .button:hover{
    background-color: color-mix(in srgb, var(--color-primary), white var(--state-hover-opacity));
}
.woocommerce .site-main{
    padding-top:30px;
}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price{
    color: var(--color-on-background);
    display: flex;
    gap: 8px;
    align-items: center;
    font-size: 30px;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price ins{
    text-decoration: none;
}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price .product-discount{
    background-color: var(--color-error);
    color: var(--color-on-error);
    padding: 2px 5px;
    font-weight: 500;
    font-size: 0.7em;
}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price ins{
    margin-left: 12px;
}
.woocommerce div.product .product_title{
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 0.14em;
    margin-bottom: 0;
}
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button{
    font-size: 14px;
    font-weight: 300;
    letter-spacing: 0.14em;
    padding: 1rem 2rem;
    width: 100%;
}
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button.alt:hover{
     background-color: color-mix(in srgb, var(--color-primary), white var(--state-hover-opacity));
}
.entry-title{
    text-transform: uppercase;
    font-weight: 400;
    letter-spacing: 0.14em;
}

/* Checkout  */

.woocommerce #payment #place_order, .woocommerce-page #payment #place_order{
    font-size: 14px;
    font-weight: 300;
    letter-spacing: 0.14em;
    padding: 1rem 2rem;
}

/* Plugin specific */
.woocommerce table.shop_table.tiered-pricing-table{
    border-collapse: collapse;
}
.woocommerce div.product form.cart table td {
    padding-left: 12px;
}
.discount-text{
    --font-max: 200;
    --font-min: 100;
    letter-spacing: -0.1em;
    margin: 0.1em 0 0 0;
    line-height: 80%;
}
.attachment-woocommerce_thumbnail{
    background: linear-gradient(135deg, #F3F3F3 50%, #CCC 300%);
}